com.dlsc.flexgantt.model.treetable

## Enum ColumnModelEvent.ID

- java.lang.Object
- - java.lang.Enum<ColumnModelEvent.ID>
  - - com.dlsc.flexgantt.model.treetable.ColumnModelEvent.ID

- All Implemented Interfaces:
    Serializable, Comparable<ColumnModelEvent.ID>
  Enclosing class:
    ColumnModelEvent

      public static enum ColumnModelEvent.ID
      extends Enum<ColumnModelEvent.ID>

  An enumerator with values that describe which kind of modification took place on a column model.
  Since:
    1.0
  See Also:
    `IColumnModelListener`, `ColumnModelEvent.getId()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COLUMN_ADDED` Used to indicate that a column was added to a column model.
    `COLUMN_INSERTED` Used to indicate that a column was inserted into a column model.
    `COLUMN_MOVED` Used to indicate that a column was moved inside the column model to which in already belonged.
    `COLUMN_REMOVED` Used to indicate that a column was removed from a column model.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ColumnModelEvent.ID` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ColumnModelEvent.ID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COLUMN_ADDED

          public static final ColumnModelEvent.ID COLUMN_ADDED

      Used to indicate that a column was added to a column model.
      Since:
        1.0

    - #### COLUMN_REMOVED

          public static final ColumnModelEvent.ID COLUMN_REMOVED

      Used to indicate that a column was removed from a column model.
      Since:
        1.0

    - #### COLUMN_INSERTED

          public static final ColumnModelEvent.ID COLUMN_INSERTED

      Used to indicate that a column was inserted into a column model.
      Since:
        1.0

    - #### COLUMN_MOVED

          public static final ColumnModelEvent.ID COLUMN_MOVED

      Used to indicate that a column was moved inside the column model to which in already belonged.
      Since:
        1.0

  - ### Method Detail

    - #### values

          public static ColumnModelEvent.ID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ColumnModelEvent.ID c : ColumnModelEvent.ID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ColumnModelEvent.ID valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.